Oren,

I've moved this thread over to the galaxy-dev mailing list since it deals with a local installation.  Users on this list are more likely to have an answer for this type of question.

That said, we don't officially support running Galaxy under Cygwin (or Windows at all), and I don't know of anyone running such an instance.  If you *do* manage to get things working on Windows, however, it'd certainly be useful to know what you had to go through to make it happen.  One relatively painless option for running galaxy under windows, and what I'd suggest, would be to use the virtual machine we provide at usegalaxy.org/vm.

Let me know if you have any other questions, and good luck!

-Dannon


On Oct 12, 2011, at 02:50 PM, Oren Livne <li...@uchicago.edu> wrote:

Dear All,

There are related posts but it is unclear from them how to resolve the
following. I'm trying to start a Galaxy server on Cygwin and it fails
when trying to fetch an egg relying on NumPy. Could you kindly advise
how to resolve the error?

This uses the Cygwin python 2.6.5. I tried to point Cygwin to the
Windows python (2.7.2 in my case) but that was even worse, the Mako egg
threw a KeyError: 'Mako' exception up front.

Thank you so much,
Oren

--------
$ python --version
Python 2.6.5

oren@oren-PC /cygdrive/c/web/galaxy-central
$ sh run.sh --reload
Some eggs are out of date, attempting to fetch...
Fetched http://eggs.g2.bx.psu.edu/Mako/Mako-0.4.1-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/Babel/Babel-0.9.4-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/Whoosh/Whoosh-0.3.18-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/Tempita/Tempita-0.1-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/lrucache/lrucache-0.2-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/NoseHTML/NoseHTML-0.4.1-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/pexpect/pexpect-2.4-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/amqplib/amqplib-0.6.1-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/PasteDeploy/PasteDeploy-1.3.3-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/WebHelpers/WebHelpers-0.2-py2.6.egg
Fetched http://eggs.g2.bx.psu.edu/docutils/docutils-0.7-py2.6.egg
Traceback (most recent call last):
File "./scripts/fetch_eggspy", line 30, in <module>
c.resolve() # Only fetch eggs required by the config
File "/cygdrive/c/web/galaxy-central/lib/galaxy/eggs/__init__.py",
line 345, i
n resolve
eggresolve()
File "/cygdrive/c/web/galaxy-central/lib/galaxy/eggs/__init__.py",
line 195, i
n resolve
return self.version_conflict( e.args[0], e.args[1] )
File "/cygdrive/c/web/galaxy-central/lib/galaxy/eggs/__init__.py",
line 226, i
n version_conflict
r = pkg_resources.working_set.resolve( ( dist.as_requirement(), ),
env, egg.
fetch )
File "/cygdrive/c/web/galaxy-central/lib/pkg_resources.py", line 565,
in resol
ve
raise DistributionNotFound(req) # XXX put more info here
pkg_resources.DistributionNotFound: numpy==1.6.0
Fetch failed.

___________________________________________________________
The Galaxy User list should be used for the discussion of
Galaxy analysis and other features on the public server
at usegalaxy.org Please keep all replies on the list by
using "reply all" in your mail client. For discussion of
local Galaxy instances and the Galaxy source code, please
use the Galaxy Development list:

http://lists.bx.psu.edu/listinfo/galaxy-dev

To manage your subscriptions to this and other Galaxy lists,
please use the interface at:

http://lists.bx.psu.edu/
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:

  http://lists.bx.psu.edu/

Reply via email to